Subject: [BugDB] more helpful message when failing to get mutex (PR#679)

From: [email-masked]
Date: Thu, 21 Mar 2002 21:31:11 +0100 (MET)

Full_Name: Fred Romelfanger
Version: 2.8.7
OS: Solaris 
Submission from: (NULL) (130.167.114.38)

During a stress test with modssl, I get the following error:

[21/Mar/2002 13:37:55 14476] [warn]  Failed to acquire global mutex lock

Looking at the code, it would be nice to get the unix errno or error
message assocated with the failed call to semop().  I added a perror
call and the error it actually failed with was ENOSPC which indicates
that I don't have the system configured with enough semaphore "undo"
structures for the number of apache servers that I had running.
______________________________________________________________________
Apache Interface to OpenSSL (mod_ssl)                   www.modssl.org
User Support Mailing List                      [email-masked]
Automated List Manager                            [email-masked]